package kr.co.vividnext.sodalive.alarm

import org.springframework.stereotype.Service

@Service
class AlarmService(private val repository: AlarmRepository) {
    fun getSlotQuantityAndPrice(memberId: Long): GetSlotQuantityAndPriceResponse {
        val slotQuantity = repository.getSlotQuantity(memberId)

        return GetSlotQuantityAndPriceResponse(
            slotQuantity = slotQuantity,
            price = when (slotQuantity) {
                0 -> {
                    30
                }

                1 -> {
                    60
                }

                2 -> {
                    100
                }

                else -> {
                    0
                }
            }
        )
    }
}
